YPSILON(1)

NAME
Ypsilon - The implementation of Scheme Programming Language for real-time applications

SYNOPSIS
ypsilon [ options ] [--] [ file ] [ arguments ]

DESCRIPTION

Ypsilon implements full features of R6RS and R6RS standard libraries including:

    arbitrary precision integer arithmetic
    rational number
    exact and inexact complex number
    implicitly phased library
    top-level program
    proper tail recursion
    call/cc and dynamic wind
    unicode
    bytevectors
    records
    exceptions and conditions
    i/o
    syntax-case
    hashtables
    enumerations

More libraries are included to support a wide variety of software development.

Ypsilon reads scheme scripts from files, streams, or prompts.
Then, it compiles the scripts to intermediate codes for evaluation.
Compiled codes will be cached automaticaly to speeding up the edit/run cycle.

Ypsilon implements "mostly concurrent mark and sweep garbage collector".
It is optimized to achieve a remarkably short pause time which is essential for the best quality real-time video games.

OPTIONS

--mute, -m
    Suppresses greeting.

--quiet, -q
    Suppresses greeting, repl prompt, and repl output.

--verbose, -v
    Prints load and compile activities.

--warning, -w
    Prints warnings.

--interactive, -i
    Enters repl after running the script file.

--r6rs, -6
    Conforms R6RS top-level program syntax.
    #!r6rs directive is available to be used in the script files for the precise control.

--compatible, -c
    Extends the lexical syntax for the compatibility of the existing scripts.
    For example, the reader reads '1+', '@1', '.n', and '|u v|' as identifiers.
    #!compatible directive is available to be used in the script files for the precise control.

--sitelib=path
    Adds sitelib path.
    The path is a colon-separated list of directories.
    See also YPSILON_SITELIB in the ENVIRONMENT section.

--loadpath=path
    Adds load search path.
    The path is a colon-separated list of directories.
    See also YPSILON_LOADPATH in the ENVIRONMENT section.

--acc=dir
    Sets a auto-compile-cache directory.
    See also YPSILON_ACC in the ENVIRONMENT section.

--heap-limit=mbytes
    Sets a total heap limit in mbytes.

--dump-condition
    Default exception handler prints all components of the condition.

--disable-acc
    Disables the auto-compile-cache.

--clean-acc
    Cleans up the auto-compile-cache.

--version
    Prints the version and exits.

--help
    Prints help and exit.

--  Indicates no more option to proceed.

ENVIRONMENT

YPSILON_SITELIB
    A colon-separated list of the sitelib directories. Ypsilon traverses the sitelib directories to find a library before looking up the system default directory.

YPSILON_LOADPATH
    A colon-separated list of the script file directories. Ypsilon traverses directories to find a script file to be loaded.

YPSILON_ACC
    This is a auto-compile-cache directory. The directory must be created in advance as Ypsilon saves compiled codes in it.

AUTHOR
Yoshikatsu Fujita
LittleWing Company Limited

SEE ALSO

http://www.littlewing.co.jp/ypsilon/en/
http://www.littlewing.co.jp/ypsilon/ja/
http://www.LittleWingPinball.com/